<?php

session_start();
if($HTTP_SESSION_VARS['dbName']==""){
header("location:../index.php");
}


include("config.inc.php");


$connection = mysql_connect($config['dbServer'],$config['dbUser'],$config['dbPass']) or die("Could not connect to DB");
mysql_select_db($HTTP_SESSION_VARS['dbName'],$connection) or die("Could not find DB");


$querylog="SELECT FI_heatNo as loginaccess from ".$_SESSION['dbLabel'].".login where user_account='".$_SESSION['useraccount']."' 	and Upper(Login_Schema) = Upper('".$HTTP_SESSION_VARS['dbName']."')	";
	$resultlog=mysql_query($querylog,$connection) or die(mysql_error());
	while($rows=mysql_fetch_array($resultlog)){
		extract($rows);
	}

if ($loginaccess=='' or $loginaccess==0)
	header("location:menu.php");

//User Access
$querylog=" select ifNull(FI_heatNo,0) As FI_heatNo from ".$HTTP_SESSION_VARS['dbLabel'].".login where user_account='".$HTTP_SESSION_VARS['useraccount']."' and Upper(Login_Schema) = Upper('".$HTTP_SESSION_VARS['dbName']."')  ";
$resultlog=mysql_query($querylog,$connection) or die(mysql_error());
while($rows=mysql_fetch_array($resultlog)){
	extract($rows);
}


$query="select Module_Transportation as Module_Transportation from module";
	$result=mysql_query($query,$connection) or die(mysql_error());
while($rows=mysql_fetch_array($result)){
	extract($rows);
}
	
//Read From Setup Table							
$querysetup= " select grid_color1, grid_color2,maxperpage from setup ";
$resultsetup=mysql_query($querysetup,$connection) or die(mysql_error());
while($rowsetup=mysql_fetch_array($resultsetup)){
	extract($rowsetup);
}

//Access mainmode On Insert/Edit/Delete
$Insmode = '';
if ($FI_heatNo == 0)
	$Insmode = ' disabled ';




if($mainmode=='editmode' or $mainmode=='view'){

	$query_edit="select HeatNo_No, HeatNo_Type
				 from HeatNo where heatno_id='".$heatno_id."'";

	 
	//echo $query_edit;
	$resultedit = mysql_query($query_edit, $connection);
	while($row=mysql_fetch_array($resultedit)){

		$heatno_no = $row[0];
		$heatno_type=$row[1];
		$mainmode='edit';

	}
}
 

if($mainmode=='') $mainmode='insert';

print <<<HERE
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1256" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> 
		<meta name="viewport" content="width=device-width, initial-scale=1.0"> 


<script type="text/javascript" language="javascript">


function editmainmode () {

	document.heatno.action="Form_heatno.php?mainmode=edit";
	document.heatno.submit();
}




function SubmitRecord(option) {

	
	if (document.heatno.heatno_no.value=='' )
			{alert('Unable to save : check missing field No ');
			document.heatno.heatno_no.focus();
	}
			
	else if (document.heatno.heatno_type.value=='' )
			{alert('Unable to save : check missing field No ');
			document.heatno.heatno_type.focus();
	}
			
	else {
		document.heatno.action="Form_heatno_Actions.php";
		document.heatno.submit();
	}
}


function ClearPage(){
	if (confirm ( "Are you sure you want to Clear Page?"))
	{
		ClearForm('All');
		  x = document.heatno;
 
		x.actionmode.value='';
		x.mainmode.value='';
		x.message.value='';
		x.action='Form_heatno.php';
		x.submit();
	}	
}

//All= All form; D= Detail Part
function ClearForm(Option){
    x = document.heatno;
	
	x.heatno_id.value=''
	x.heatno_no.value='';
	x.heatno_type.value='';
	
	
}



function Setheat(HeatId){
	
	document.heatno.heatno_id.value=HeatId;
	document.heatno.message.value='';
	document.heatno.actionmode.value='';
	document.heatno.mainmode.value='editmode';
	document.heatno.submit();
}

function SetNextPage(startrange,perpage){
	document.heatno.action='Form_HeatNo.php?startrange='+startrange+'&perpage='+perpage;
	document.heatno.submit();
}

function SetPrvPage(startrange,perpage){
	document.heatno.action='Form_HeatNo.php?startrange='+startrange+'&perpage='+perpage;
	document.heatno.submit();
}

function SearchForSup(){
	x = document.heatno;
	document.heatno.action='Form_HeatNo.php?startrange=0';
	document.heatno.submit();
}

function ClearKeyword(){
	x = document.heatno;
	x.txtKeyword.value='';
	document.heatno.action='Form_HeatNo.php?startrange=0';
	document.heatno.submit();
}

function submitenter(myfield,e){
var keycode;
if (window.event) keycode = window.event.keyCode;
else if (e) keycode = e.which;
else return true;

if (keycode == 13)
   {
   	document.heatno.action='Form_HeatNo.php?startrange=0';
	document.heatno.submit();
  
   return false;
   }
else
   return true;
}

function confirm_delete(Code) {
	
				
	if (confirm ( "Are you sure you want to Delete this Record " + "?")) {
		//window.event.returnValue = true;
		document.heatno.mainmode.value='delete';	
		
		document.heatno.action='Form_heatno_Actions.php?heatnoid='+Code;
		document.heatno.submit();
	}
					
}

function set_limit(){

	perpage=document.heatno.perpage.value;
	document.heatno.action='Form_heatno.php?perpage='+perpage+'&startrange=0';
	document.heatno.submit();
}

 

 

</script>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Add HeatNo</title>

<style type="text/css">

body,td,th {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
}
body {
	margin-top: 2px;
	margin-left: 1px;
}
a:link {
	text-decoration: none;
	color: #0000FF;
}
a:visited {
	text-decoration: none;
	color: #0000FF;
}
a:hover {
	text-decoration: none;
	color: #0000FF;
}
a:active {
	text-decoration: none;
	color: #0000FF;
}
.style1 {color: #999999; font-weight: bold; }
.style12 {
	font-size: 9px;
	color: #999999;
	font-weight: bold;
}
.style15 {color: #5151FF; font-size: 10px;}
.style16 {
	font-size: 16px;
	color: #FF0000;
	font-weight: bold;
	font-family: "Times New Roman", Times, serif;
}
.style17 {font-size: 9px}
.style25 {color: #999999; font-weight: bold; font-size: 10px; }
.style26 {color: #FF0000}
.style27 {color: #999999 ;font-size: 10px;}
.style28 {color: #FFFFFF ;font-size: 10px;}

</style>

<link type="text/css" rel="stylesheet" href="dhtmlgoodies_calendar.css?random=20051112" media="screen"></LINK>
<SCRIPT type="text/javascript" src="dhtmlgoodies_calendar.js?random=20060118"></script>
<LINK REL="stylesheet" TYPE="text/css" MEDIA="all" HREF="tabs.css">
<link rel="stylesheet" type="text/css" media="all" href="css-v2/style.css">

</head>
<body >
<form name='heatno' method='post'>

<input type=hidden name='mainmode' value='$mainmode'>
<input type=hidden name='actionmode' value='$actionmode'>
<input type=hidden name='message' value='$message'>
<input type=hidden name='heatno_id' value='$heatno_id'>
<input type=hidden name='Module_Transportation' value='$Module_Transportation'>
HERE;



if($mainmode==''){
$status='disabled';
$dis='disabled';

}

if($mainmode=='view'){

$status='readonly';
$dis='disabled';

}

if($mainmode=='insert')
$status='';

//$style= "style=' background-color:#4069A7; color:#FFFFFF;font-family:Verdana, Arial, Helvetica, sans-serif; font-size:12px;'";

echo"<table cellpadding='0' cellspacing='0' border='0'  align='center' class='layout-width'>";
include_once("header.php");
echo" <tr><td  valign='top'>";

include_once("sidemenu.php");
echo"  </td></tr>";


echo" <tr style='height:26px;'>
		<td  valign='top' id='content-top'>
			<table border='0' cellpadding='0' cellspacing='0' style='table-layout:fixed; height:26px;' class='layout-width'>
			<tr style='height:26px;'>
				<td style='width:38px; height:26px;'>&nbsp;</td>
				<td valign='middle' style='width:300px; height:26px;'><span class='title'>HeatNo</span></td>
				<td class='message' valign='middle' style='height:26px;'>".htmlspecialchars($message, ENT_QUOTES)."</td>
			</tr></table>
		</td>
	  </tr>";
	  

echo"<tr>
		<td  height='34'  valign='top' id='content-top2'>
			<table border='0' cellpadding='0' cellspacing='0' class='layout-width'>
			<tr>
				<td width='38'  height='34'>&nbsp;</td>
				<td valign='middle' height='34' width='720px'>";
echo"		<button type='button' id='btnClear' name='btnClear' onclick='ClearPage(); return false;' title='Clear Page'><span><span>Clear Page</span></span></button>";


echo"		<button type='button' id='btnPost' name='btnPost' onclick='SubmitRecord(1); return false;' title='Save Changes' $Insmode><span><span>Save</span></span></button>";




				
echo"   </td><td align='left' width='250px'> 
	<input type='text' name='txtKeyword' value='$txtKeyword' style='width:105px;' onKeyPress='return submitenter(this,event)'>
	<button type='button' id='btnSearch' name='btnSearch' onclick='SearchForSup(); return false;' title='Search HeatNo'><span><span>Find</span></span></button>
<button type='button' id='btnClear' name='btnClear' onclick='ClearKeyword(); return false;' title='Clear Keyword'><span><span>Clear</span></span></button>";
     echo"</td><td align='left'><span class='style1'><b>Results/page</b></span>
	 <span class='style1'><select name='perpage' id='perpage' value='$perpage' onchange=set_limit();>";
	 
	if ($startrange=='')
		$startrange = 0;
	if ($perpage=='')
		$perpage = 20;
		
	for($i=10;$i<=$maxperpage;$i=$i+10){
		if($i==$perpage)
			echo "<option value='$i'  selected>$i</option>";
		else echo "<option value='$i'>$i</option>";
		
	} 
	 echo"</td></tr></tr>";
echo"	</table>";
echo"</td></tr>";


echo"<tr><td id='content-body'>";				
echo"<table border='0'  align='center' valign='top'  class='tablecontent' >
	<col width=64%>";

echo"   <tr bgcolor='#F7F7F7'  ><td valign='top' align='left'>";	 

echo" <table border='0' style='table-layout:fixed' align='left' valign='top' >
      <col width=120><col width=450>";
	  

        	 
	if($mainmode!=''){
		$today = date('d-m-Y');
		}			
				
	
	echo" </td></tr>";
if($heatno_type=='BatchNo') $sel1=' selected ';
if($heatno_type=='HeatNo') $sel2=' selected ';

	
echo"<tr bgcolor='#F7F7F7'><td valign='center' align='left' ><span class='style1'>Type&nbsp;<span class='style26'>*</span></span>";
echo"<td><select name='heatno_type'  style='font-size:12px; width:100px; height:18px;'  $status maxlength='15' />
<option $sel1 value='BatchNo'>BatchNo</option>
<option $sel2 value='HeatNo'>HeatNo</option>
</td></tr>";
echo"<tr bgcolor='#F7F7F7'><td valign='center' align='left' ><span class='style1'>No&nbsp;<span class='style26'>*</span></span>";
echo"<td><input type='text' name='heatno_no' value='".$heatno_no."' style='font-size:12px; width:400px; height:18px;'  $status maxlength='50' /></td></tr>";

echo"<tr height=15px><td colspan=3></td></tr>";



echo"</table></td><td  valign='top'>";

echo"<table style='width:380px;' border='0' cellspacing=0 cellpadding=0>
	<tr><td id='search-top' style='width:380px;height:15px;' colspan='3'></td>
	</tr>
	<tr><td  valign='top' colspan=3 id='search-content' style='width:380px;'>";

echo"<table style='width:380px;' border='0' cellspacing=0><col width=30><col width=170><col width=180>

	 <tr ><td>
	 &nbsp;</td><td align='center' ><span class='style1'><b>Type</b></td><td align='center' ><span class='style1'><b>No</b></td></tr>";
	
	 
	echo"<tr><td  colspan=4 ><div style='overflow-y:scroll;height:250px;width:370px;border:0px solid #000000;padding-left:5px;'><table  border='0' width='352px'>
	<col width=30><col width=170><col width=162>";
	
	$querysearch="select heatno_no,heatno_type,heatno_id from heatno ";
	$querysearch=$querysearch." where (heatno_no like"."('%".$txtKeyword."%') or heatno_type like"."('%".$txtKeyword."%')) ";

	$resultsearch=mysql_query($querysearch,$connection) or die(mysql_error());
	$totalrows = mysql_num_rows($resultsearch);
	
	if ($startrange=='')
		$startrange = 0;
	if ($perpage=='')
		$perpage = 20;
	
	$querysearch = $querysearch." limit ".$startrange.",".$perpage;
	

	$resultsearch=mysql_query($querysearch,$connection) or die(mysql_error());	
	while($rows=mysql_fetch_array($resultsearch)){
		$ct+=1;
		$stylefont='style15';
		
		if($ct%2==0)
			$Color="style='background-color:".$grid_color1."'";
		else			
			$Color="style='background-color:".$grid_color2."'";	
				
		if($mainmode=='edit' && $heatno_id==$rows[2]){
			
			$Color="style='background-color:#1e87a5'";
			$stylefont='style28';
	}	
		
	echo'<tr '.$Color.' height="20px" >';
	
	if($FI_heatNo==1)	
print<<<HERE

<td align=center ><img border='0' src='img/c_delete.png' width='9' height='10' title='Delete Detail' onmouseover="this.style.cursor='pointer'" OnClick="confirm_delete('$rows[2]')" $DelMode></td>

HERE;
else print<<<HERE

<td align=center >&nbsp;</td>

HERE;

	echo"<td style='cursor:pointer;' ";if($FI_heatNo==1) echo " onclick=Setheat('$rows[2]');";echo"><span class='$stylefont' >$rows[1]&nbsp;</span></font></td>
		<td style='cursor:pointer;' ";if($FI_heatNo==1) echo " onclick=Setheat('$rows[2]');";echo"><font face='Arial' size='2' color='#186194'><span class='$stylefont'>$rows[0]&nbsp;</span></font></td>";
	echo"";
	

	echo"	</tr>";
}		
	
echo"</table></div></td></tr>";
echo"<tr  ><td >&nbsp;</td><td align='center' >";
		
		$diff= $startrange - $perpage;
		
		if (($diff) >= 0 ){
			$prvstartrange = $startrange - $perpage;
			echo"<img src='img/arrowleft.png' title='Previous' onMouseOver=\"style.cursor='hand'\"  onclick=SetPrvPage('".$prvstartrange."','".$perpage."')>";
		}
		else
			echo "&nbsp;";
		
		echo"</td><td  align='center' colspan=2>";
		
		
		if ($startrange <= $totalrows){
			$startrange = $startrange + $perpage;
			if  ($startrange <= $totalrows)
				echo"<img src='img/arrowright.png' title='Next' onMouseOver=\"style.cursor='hand'\" onclick=SetNextPage('".$startrange."','".$perpage."')>";
		} else
			echo "&nbsp;";
			
		echo"</td></tr>";
		
		

echo"</table></td></tr><tr>
					<td id='search-bottom' style='width:380px;height:20px;' colspan='3'></td>
				</tr></table></td></tr>";			
	

echo" </table></td></tr>";

echo" <tr height='30'><td align='center' id='content-bottom' ></td></tr>";
include("footer.php");	
echo" </table>  ";//end of last table menu



print <<<HERE
</form>
</body>

HERE;

?>
